uniform sampler2D s_tex0; // for WiiU - changed 'tex' to 's_tex0'
uniform vec4 u_blendcolor;
uniform vec2 u_textureSize;

varying vec2 v_texcoord;

void main()
{
    // float gray = dot(texture2D(s_tex0, v_texcoord) * u_blendcolor, u_blendcolor.rgb);
    vec4 color = texture2D(s_tex0, v_texcoord);
	color.r = (0.370*color.r + 0.5*color.g + 0.1*color.b);
    gl_FragColor = vec4( color.r, color.r, color.r, 1.0f);
}